/********* register declarations *********/
volatile unsigned char PORTA  @0x00;  	/* Port A data register		         */
volatile unsigned char PORTB  @0x01;  	/* Port B data register		 		 */
volatile unsigned char PORTC  @0x02;  	/* Port C data register				 */
volatile unsigned char PORTD  @0x03;  	/* Port D data register		 		 */
volatile unsigned char DDRA   @0x04;   	/* Data direction register A		 */ 
volatile unsigned char DDRB   @0x05;   	/* Data direction register B		 */ 
volatile unsigned char DDRC   @0x06;   	/* Data direction register C		 */ 
volatile unsigned char DDRD   @0x07;   	/* Data direction register D		 */ 
volatile unsigned char PORTE  @0x08;  	/* Port E data register				 */
volatile unsigned char PORTF  @0x09;  	/* Port F data register				 */
volatile unsigned char DDRE   @0x0C;   	/* Data direction register E		 */ 
volatile unsigned char DDRF   @0x0D;   	/* Data direction register F		 */ 

volatile unsigned char TASC   @0x0E;	/* TIM status and control register   */
volatile unsigned char TACNTH  @0x0F;
volatile unsigned char TACNTL  @0x10;
volatile unsigned char TAMODH  @0x11;
volatile unsigned char TAMODL  @0x12;
volatile unsigned char TASC0  @0x13;
volatile unsigned char TACH0H @0x14;
volatile unsigned char TACH0L @0x15;
volatile unsigned char TASC1  @0x16;
volatile unsigned char TACH1H @0x17;
volatile unsigned char TACH1L @0x18;
volatile unsigned char TASC2  @0x19;
volatile unsigned char TACH2H @0x1A;
volatile unsigned char TACH2L @0x1B;
volatile unsigned char TASC3   @0x1C;
volatile unsigned char TACH3H  @0x1D;
volatile unsigned char TACH3L  @0x1E;

volatile unsigned char CONFIG  @0x1F;    /* System configuration */

volatile unsigned char PCTL1   @0x20;    /* Pulse width modulator */
volatile unsigned char PCTL2   @0x21;
volatile unsigned char FCR     @0x22;
volatile unsigned char FSR     @0x23;
volatile unsigned char FTACK   @0x24;
volatile unsigned char PWMOUT  @0x25;
volatile unsigned char PCNTH   @0x26;
volatile unsigned char PCNTL   @0x27;
volatile unsigned char PMODH   @0x28;
volatile unsigned char PMODL   @0x29;
volatile unsigned char PVAL1H  @0x2A;
volatile unsigned char PVAL1L  @0x2B;
volatile unsigned char PVAL2H  @0x2C;
volatile unsigned char PVAL2L  @0x2D;
volatile unsigned char PVAL3H  @0x2E;
volatile unsigned char PVAL3L  @0x2F;
volatile unsigned char PVAL4H  @0x30;
volatile unsigned char PVAL4L  @0x31;
volatile unsigned char PVAL5H  @0x32;
volatile unsigned char PVAL5L  @0x33;
volatile unsigned char PVAL6H  @0x34;
volatile unsigned char PVAL6L  @0x35;
volatile unsigned char DEADTM  @0x36;
volatile unsigned char DISMAP  @0x37;

volatile unsigned char SCC1    @0x38;    /* SCI (Asyncronous communications) */
volatile unsigned char SCC2    @0x39;
volatile unsigned char SCC3    @0x3A;
volatile unsigned char SCS1    @0x3B;
volatile unsigned char SCS2    @0x3C;
volatile unsigned char SCDR    @0x3D;
volatile unsigned char SCBR    @0x3E;

volatile unsigned char INTSCR  @0x3F;    /* IRQ status/control */
volatile unsigned char ISCR    @0x3F;

volatile unsigned char ADSCR  @0x40;	/* ADC Status ed control             */
volatile unsigned int  ADRH   @0x41;	/* ADC Data register 				 */
volatile unsigned int  ADRL   @0x42;	/* ADC Data register 				 */
volatile unsigned char ADCLK  @0x43;	/* ADC Clock register                */

volatile unsigned char SPCR    @0x44;    /* SPI (Syncronous communications) */
volatile unsigned char SPSCR   @0x45;
volatile unsigned char SPDR    @0x46;

volatile unsigned char TBSC    @0x51;    /* Timer B */
volatile unsigned char TBCNTH  @0x52;
volatile unsigned char TBCNTL  @0x53;
volatile unsigned char TBMODH  @0x54;
volatile unsigned char TBMODL  @0x55;
volatile unsigned char TBSC0   @0x56;

volatile unsigned char TBCH0H_2  @0x57;
volatile unsigned char TBCH0H     @0x57;
volatile unsigned char TBCH0L     @0x58;


volatile unsigned char TBSC1   @0x59;
volatile unsigned char TBCH1H  @0x5A;
volatile unsigned char TBCH1L  @0x5B;

volatile unsigned char PCTL    @0x5C;    /* Clock Generator Module */
volatile unsigned char PBWC    @0x5D;
volatile unsigned char PPG     @0x5E;

volatile unsigned char SBSR    @0xFE00;    /* System integration */
volatile unsigned char SRSR    @0xFE01;
volatile unsigned char SBFCR   @0xFE03;

volatile unsigned char FLCR    @0xFE08;

volatile unsigned char BRKH    @0xFE0C;    /* Hardware breakpoint */
volatile unsigned char BRKL    @0xFE0D;
volatile unsigned char BRKSCR  @0xFE0E;

volatile unsigned char LVISR   @0xFE0C;    /* Low voltage detect */
volatile unsigned char FLBPR   @0xFF7E;    /* Flash boot protect */

volatile unsigned char COPCTL @0xFFFF; 	/* COP control register				 */

